#ifndef _ALTERA_HPS_0_H_
#define _ALTERA_HPS_0_H_

/*
 * This file was automatically generated by the swinfo2header utility.
 * 
 * Created from SOPC Builder system 'soc_system' in
 * file 'soc_system.sopcinfo'.
 */

/*
 * This file contains macros for module 'hps_0' and devices
 * connected to the following masters:
 *   h2f_axi_master
 *   h2f_lw_axi_master
 * 
 * Do not include this header file and another header file created for a
 * different module or master group at the same time.
 * Doing so may result in duplicate macro names.
 * Instead, use the system header file which has macros with unique names.
 */

/*
 * Macros for device 'onchip_memory2_0', class 'altera_avalon_onchip_memory2'
 * The macros are prefixed with 'ONCHIP_MEMORY2_0_'.
 * The prefix is the slave descriptor.
 */
#define ONCHIP_MEMORY2_0_COMPONENT_TYPE altera_avalon_onchip_memory2
#define ONCHIP_MEMORY2_0_COMPONENT_NAME onchip_memory2_0
#define ONCHIP_MEMORY2_0_BASE 0x0
#define ONCHIP_MEMORY2_0_SPAN 65536
#define ONCHIP_MEMORY2_0_END 0xffff
#define ONCHIP_MEMORY2_0_ALLOW_IN_SYSTEM_MEMORY_CONTENT_EDITOR 0
#define ONCHIP_MEMORY2_0_ALLOW_MRAM_SIM_CONTENTS_ONLY_FILE 0
#define ONCHIP_MEMORY2_0_CONTENTS_INFO ""
#define ONCHIP_MEMORY2_0_DUAL_PORT 0
#define ONCHIP_MEMORY2_0_GUI_RAM_BLOCK_TYPE AUTO
#define ONCHIP_MEMORY2_0_INIT_CONTENTS_FILE soc_system_onchip_memory2_0
#define ONCHIP_MEMORY2_0_INIT_MEM_CONTENT 1
#define ONCHIP_MEMORY2_0_INSTANCE_ID NONE
#define ONCHIP_MEMORY2_0_NON_DEFAULT_INIT_FILE_ENABLED 0
#define ONCHIP_MEMORY2_0_RAM_BLOCK_TYPE AUTO
#define ONCHIP_MEMORY2_0_READ_DURING_WRITE_MODE DONT_CARE
#define ONCHIP_MEMORY2_0_SINGLE_CLOCK_OP 0
#define ONCHIP_MEMORY2_0_SIZE_MULTIPLE 1
#define ONCHIP_MEMORY2_0_SIZE_VALUE 65536
#define ONCHIP_MEMORY2_0_WRITABLE 1
#define ONCHIP_MEMORY2_0_MEMORY_INFO_DAT_SYM_INSTALL_DIR SIM_DIR
#define ONCHIP_MEMORY2_0_MEMORY_INFO_GENERATE_DAT_SYM 1
#define ONCHIP_MEMORY2_0_MEMORY_INFO_GENERATE_HEX 1
#define ONCHIP_MEMORY2_0_MEMORY_INFO_HAS_BYTE_LANE 0
#define ONCHIP_MEMORY2_0_MEMORY_INFO_HEX_INSTALL_DIR QPF_DIR
#define ONCHIP_MEMORY2_0_MEMORY_INFO_MEM_INIT_DATA_WIDTH 64
#define ONCHIP_MEMORY2_0_MEMORY_INFO_MEM_INIT_FILENAME soc_system_onchip_memory2_0

/*
 * Macros for device 'pio_pushButtons', class 'altera_avalon_pio'
 * The macros are prefixed with 'PIO_PUSHBUTTONS_'.
 * The prefix is the slave descriptor.
 */
#define PIO_PUSHBUTTONS_COMPONENT_TYPE altera_avalon_pio
#define PIO_PUSHBUTTONS_COMPONENT_NAME pio_pushButtons
#define PIO_PUSHBUTTONS_BASE 0x0
#define PIO_PUSHBUTTONS_SPAN 16
#define PIO_PUSHBUTTONS_END 0xf
#define PIO_PUSHBUTTONS_IRQ 4
#define PIO_PUSHBUTTONS_BIT_CLEARING_EDGE_REGISTER 0
#define PIO_PUSHBUTTONS_BIT_MODIFYING_OUTPUT_REGISTER 0
#define PIO_PUSHBUTTONS_CAPTURE 0
#define PIO_PUSHBUTTONS_DATA_WIDTH 4
#define PIO_PUSHBUTTONS_DO_TEST_BENCH_WIRING 0
#define PIO_PUSHBUTTONS_DRIVEN_SIM_VALUE 0
#define PIO_PUSHBUTTONS_EDGE_TYPE NONE
#define PIO_PUSHBUTTONS_FREQ 50000000
#define PIO_PUSHBUTTONS_HAS_IN 1
#define PIO_PUSHBUTTONS_HAS_OUT 0
#define PIO_PUSHBUTTONS_HAS_TRI 0
#define PIO_PUSHBUTTONS_IRQ_TYPE LEVEL
#define PIO_PUSHBUTTONS_RESET_VALUE 0

/*
 * Macros for device 'switches', class 'altera_avalon_pio'
 * The macros are prefixed with 'SWITCHES_'.
 * The prefix is the slave descriptor.
 */
#define SWITCHES_COMPONENT_TYPE altera_avalon_pio
#define SWITCHES_COMPONENT_NAME switches
#define SWITCHES_BASE 0x10
#define SWITCHES_SPAN 16
#define SWITCHES_END 0x1f
#define SWITCHES_IRQ 3
#define SWITCHES_BIT_CLEARING_EDGE_REGISTER 0
#define SWITCHES_BIT_MODIFYING_OUTPUT_REGISTER 0
#define SWITCHES_CAPTURE 0
#define SWITCHES_DATA_WIDTH 10
#define SWITCHES_DO_TEST_BENCH_WIRING 0
#define SWITCHES_DRIVEN_SIM_VALUE 0
#define SWITCHES_EDGE_TYPE NONE
#define SWITCHES_FREQ 50000000
#define SWITCHES_HAS_IN 1
#define SWITCHES_HAS_OUT 0
#define SWITCHES_HAS_TRI 0
#define SWITCHES_IRQ_TYPE LEVEL
#define SWITCHES_RESET_VALUE 0

/*
 * Macros for device 'pio_sevenSeg_45', class 'altera_avalon_pio'
 * The macros are prefixed with 'PIO_SEVENSEG_45_'.
 * The prefix is the slave descriptor.
 */
#define PIO_SEVENSEG_45_COMPONENT_TYPE altera_avalon_pio
#define PIO_SEVENSEG_45_COMPONENT_NAME pio_sevenSeg_45
#define PIO_SEVENSEG_45_BASE 0x20
#define PIO_SEVENSEG_45_SPAN 16
#define PIO_SEVENSEG_45_END 0x2f
#define PIO_SEVENSEG_45_BIT_CLEARING_EDGE_REGISTER 0
#define PIO_SEVENSEG_45_BIT_MODIFYING_OUTPUT_REGISTER 0
#define PIO_SEVENSEG_45_CAPTURE 0
#define PIO_SEVENSEG_45_DATA_WIDTH 16
#define PIO_SEVENSEG_45_DO_TEST_BENCH_WIRING 0
#define PIO_SEVENSEG_45_DRIVEN_SIM_VALUE 0
#define PIO_SEVENSEG_45_EDGE_TYPE NONE
#define PIO_SEVENSEG_45_FREQ 50000000
#define PIO_SEVENSEG_45_HAS_IN 0
#define PIO_SEVENSEG_45_HAS_OUT 1
#define PIO_SEVENSEG_45_HAS_TRI 0
#define PIO_SEVENSEG_45_IRQ_TYPE NONE
#define PIO_SEVENSEG_45_RESET_VALUE 255

/*
 * Macros for device 'pio_sevenSeg_23', class 'altera_avalon_pio'
 * The macros are prefixed with 'PIO_SEVENSEG_23_'.
 * The prefix is the slave descriptor.
 */
#define PIO_SEVENSEG_23_COMPONENT_TYPE altera_avalon_pio
#define PIO_SEVENSEG_23_COMPONENT_NAME pio_sevenSeg_23
#define PIO_SEVENSEG_23_BASE 0x30
#define PIO_SEVENSEG_23_SPAN 16
#define PIO_SEVENSEG_23_END 0x3f
#define PIO_SEVENSEG_23_BIT_CLEARING_EDGE_REGISTER 0
#define PIO_SEVENSEG_23_BIT_MODIFYING_OUTPUT_REGISTER 0
#define PIO_SEVENSEG_23_CAPTURE 0
#define PIO_SEVENSEG_23_DATA_WIDTH 16
#define PIO_SEVENSEG_23_DO_TEST_BENCH_WIRING 0
#define PIO_SEVENSEG_23_DRIVEN_SIM_VALUE 0
#define PIO_SEVENSEG_23_EDGE_TYPE NONE
#define PIO_SEVENSEG_23_FREQ 50000000
#define PIO_SEVENSEG_23_HAS_IN 0
#define PIO_SEVENSEG_23_HAS_OUT 1
#define PIO_SEVENSEG_23_HAS_TRI 0
#define PIO_SEVENSEG_23_IRQ_TYPE NONE
#define PIO_SEVENSEG_23_RESET_VALUE 255

/*
 * Macros for device 'pio_sevenSeg_01', class 'altera_avalon_pio'
 * The macros are prefixed with 'PIO_SEVENSEG_01_'.
 * The prefix is the slave descriptor.
 */
#define PIO_SEVENSEG_01_COMPONENT_TYPE altera_avalon_pio
#define PIO_SEVENSEG_01_COMPONENT_NAME pio_sevenSeg_01
#define PIO_SEVENSEG_01_BASE 0x40
#define PIO_SEVENSEG_01_SPAN 16
#define PIO_SEVENSEG_01_END 0x4f
#define PIO_SEVENSEG_01_BIT_CLEARING_EDGE_REGISTER 0
#define PIO_SEVENSEG_01_BIT_MODIFYING_OUTPUT_REGISTER 0
#define PIO_SEVENSEG_01_CAPTURE 0
#define PIO_SEVENSEG_01_DATA_WIDTH 16
#define PIO_SEVENSEG_01_DO_TEST_BENCH_WIRING 0
#define PIO_SEVENSEG_01_DRIVEN_SIM_VALUE 0
#define PIO_SEVENSEG_01_EDGE_TYPE NONE
#define PIO_SEVENSEG_01_FREQ 50000000
#define PIO_SEVENSEG_01_HAS_IN 0
#define PIO_SEVENSEG_01_HAS_OUT 1
#define PIO_SEVENSEG_01_HAS_TRI 0
#define PIO_SEVENSEG_01_IRQ_TYPE NONE
#define PIO_SEVENSEG_01_RESET_VALUE 255

/*
 * Macros for device 'pio_led', class 'altera_avalon_pio'
 * The macros are prefixed with 'PIO_LED_'.
 * The prefix is the slave descriptor.
 */
#define PIO_LED_COMPONENT_TYPE altera_avalon_pio
#define PIO_LED_COMPONENT_NAME pio_led
#define PIO_LED_BASE 0x50
#define PIO_LED_SPAN 16
#define PIO_LED_END 0x5f
#define PIO_LED_BIT_CLEARING_EDGE_REGISTER 0
#define PIO_LED_BIT_MODIFYING_OUTPUT_REGISTER 0
#define PIO_LED_CAPTURE 0
#define PIO_LED_DATA_WIDTH 10
#define PIO_LED_DO_TEST_BENCH_WIRING 0
#define PIO_LED_DRIVEN_SIM_VALUE 0
#define PIO_LED_EDGE_TYPE NONE
#define PIO_LED_FREQ 50000000
#define PIO_LED_HAS_IN 0
#define PIO_LED_HAS_OUT 1
#define PIO_LED_HAS_TRI 0
#define PIO_LED_IRQ_TYPE NONE
#define PIO_LED_RESET_VALUE 1023

/*
 * Macros for device 'fib_system_0', class 'fib_system'
 * The macros are prefixed with 'FIB_SYSTEM_0_'.
 * The prefix is the slave descriptor.
 */
#define FIB_SYSTEM_0_COMPONENT_TYPE fib_system
#define FIB_SYSTEM_0_COMPONENT_NAME fib_system_0
#define FIB_SYSTEM_0_BASE 0x60
#define FIB_SYSTEM_0_SPAN 16
#define FIB_SYSTEM_0_END 0x6f

/*
 * Macros for device 'randomGen_0', class 'randomGen'
 * The macros are prefixed with 'RANDOMGEN_0_'.
 * The prefix is the slave descriptor.
 */
#define RANDOMGEN_0_COMPONENT_TYPE randomGen
#define RANDOMGEN_0_COMPONENT_NAME randomGen_0
#define RANDOMGEN_0_BASE 0x70
#define RANDOMGEN_0_SPAN 4
#define RANDOMGEN_0_END 0x73

/*
 * Macros for device 'sysid_qsys', class 'altera_avalon_sysid_qsys'
 * The macros are prefixed with 'SYSID_QSYS_'.
 * The prefix is the slave descriptor.
 */
#define SYSID_QSYS_COMPONENT_TYPE altera_avalon_sysid_qsys
#define SYSID_QSYS_COMPONENT_NAME sysid_qsys
#define SYSID_QSYS_BASE 0x10000
#define SYSID_QSYS_SPAN 8
#define SYSID_QSYS_END 0x10007
#define SYSID_QSYS_ID 2899645186
#define SYSID_QSYS_TIMESTAMP 1483410769

/*
 * Macros for device 'jtag_uart', class 'altera_avalon_jtag_uart'
 * The macros are prefixed with 'JTAG_UART_'.
 * The prefix is the slave descriptor.
 */
#define JTAG_UART_COMPONENT_TYPE altera_avalon_jtag_uart
#define JTAG_UART_COMPONENT_NAME jtag_uart
#define JTAG_UART_BASE 0x20000
#define JTAG_UART_SPAN 8
#define JTAG_UART_END 0x20007
#define JTAG_UART_IRQ 2
#define JTAG_UART_READ_DEPTH 64
#define JTAG_UART_READ_THRESHOLD 8
#define JTAG_UART_WRITE_DEPTH 64
#define JTAG_UART_WRITE_THRESHOLD 8


#endif /* _ALTERA_HPS_0_H_ */
